Zeitgeist.Monitor.events_deleted – zeitgeist-2.0 Reference Manual

# events_deleted

## Description:

public signal void events_deleted (TimeRange time_range, uint32[] event_ids)

ZeitgeistMonitor::events-deleted:

Emitted when events with timestamps within the time range of this monitor have been deleted from the log. Note that the deleted events may not match the event templates for the monitor.

## Parameters:

time_range | A #ZeitgeistTimeRange that specifies the minimum and maximum timestamps of the deleted events
event_ids | A #GArray of #guint32<!-- -->s holding the IDs of the deleted events